org.apache.ignite.internal.processors.cache.persistence.diagnostic.pagelocktracker

## Interface PageMetaInfoStore

All Known Implementing Classes:
  HeapPageMetaInfoStore, OffHeapPageMetaInfoStore

    public interface PageMetaInfoStore

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `add(int itemIdx, int op, int structureId, long pageId, long pageAddrHeader, long pageAddr)` Add page to store.
`int` `capacity()`
`PageMetaInfoStore` `copy()`
`void` `free()` Free resource.
`int` `getOperation(int itemIdx)`
`long` `getPageAddr(int itemIdx)`
`long` `getPageAddrHeader(int itemIdx)`
`long` `getPageId(int itemIdx)`
`int` `getStructureId(int itemIdx)`
`boolean` `isEmpty()`
`void` `remove(int itemIdx)` Remove page from store by index.

### Method Detail

#### capacity

    int capacity()

Returns:
  Capacity.

#### isEmpty

    boolean isEmpty()

Returns:
  True if empty.

#### add

    void add(int itemIdx,
             int op,
             int structureId,
             long pageId,
             long pageAddrHeader,
             long pageAddr)

Add page to store.

Parameters:
  `itemIdx` - Index of page in store.
  `op` - Page operation.
  `structureId` - Data structure id.
  `pageId` - Page id.
  `pageAddrHeader` - Page header addres.
  `pageAddr` - Page addres.

#### remove

    void remove(int itemIdx)

Remove page from store by index.

#### getOperation

    int getOperation(int itemIdx)

Parameters:
  `itemIdx` - Index of page in store.
Returns:
  Page operation.

#### getStructureId

    int getStructureId(int itemIdx)

Parameters:
  `itemIdx` - Index of page in store.
Returns:
  Data structure id.

#### getPageId

    long getPageId(int itemIdx)

Parameters:
  `itemIdx` - Index of page in store.
Returns:
  Page id.

#### getPageAddrHeader

    long getPageAddrHeader(int itemIdx)

Parameters:
  `itemIdx` - Index of page in store.
Returns:
  Page header address.

#### getPageAddr

    long getPageAddr(int itemIdx)

Parameters:
  `itemIdx` - Index of page in store.
Returns:
  Page address.

#### copy

    PageMetaInfoStore copy()

Returns:
  Copy of current store state.

#### free

    void free()

Free resource.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.12.0
Release Date | : January 10 2022